﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Thumbnails.Data
{
  public class User
  {
    public DateTime? LastVisit
    {
      get;
      private set;
    }

    public User()
    {
      LastVisit = null;
    }
    public User(string line)
    {
      try
      {
        LastVisit = DateTime.Parse(line);
      }
      catch (ArgumentNullException)
      {
        LastVisit = null;
      }
      catch (FormatException)
      {
        LastVisit = null;
      }
    }

    public void SetLastVisit()
    {
      LastVisit = DateTime.Now;
    }

    public override string ToString()
    {
      if (LastVisit == null)
      {
        return "";
      }
      else
      {
        return LastVisit.ToString();
      }
    }
  }
}
