﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace JavaScriptDotNet
{
  public partial class Page : UserControl
  {
    [ScriptableMember]
    public event CounterTickedHandler CounterTicked;

    public void OnCounterTicked(CounterTickedEventArgs e)
    {
      if (CounterTicked != null)
      {
        CounterTicked(this, e);
      }
    }

    public Page()
    {
      InitializeComponent();
      HtmlPage.RegisterScriptableObject("Page", this);
    }

    private int _counter = 0;
    private void CounterButton_Click(object sender, RoutedEventArgs e)
    {
      _counter++;
      if ((_counter % 5) == 0)
      {
        // true every time the counter is a multiple of 5
        CounterTickedEventArgs args = new CounterTickedEventArgs();
        args.CounterValue = _counter;
        OnCounterTicked(args);
      }
    }

    private void SaySomethingButton_Click(object sender,
      RoutedEventArgs e)
    {
      ScriptObject instance
        = HtmlPage.Window.GetProperty("jsDotNetInstance") as ScriptObject;
      instance.Invoke("saySomething",
        new object[] { "Hello", "World", DateTime.Now });
    }
  }

  public class CounterTickedEventArgs : EventArgs
  {
    [ScriptableMember]
    public int CounterValue
    {
      get;
      internal set;
    }
  }

  public delegate void CounterTickedHandler(object sender,
    CounterTickedEventArgs e);

}
