﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightDraw.Data
{
  public class Settings : INotifyPropertyChanged
  {
    #region INotifyPropertyChanged Members
    public event PropertyChangedEventHandler PropertyChanged;
    #endregion

    private void OnPropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
      {
        PropertyChangedEventArgs args
          = new PropertyChangedEventArgs(propertyName);
        PropertyChanged(this, args);
      }
    }

    private double _strokeThickness = 2.0;
    public double StrokeThickness
    {
      get { return _strokeThickness; }
      set
      {
        _strokeThickness = value;
        OnPropertyChanged("StrokeThickness");
      }
    }
  }
}
