﻿using System;
using System.Net;

namespace UserManagement
{
  public class User
  {
    public string Name
    {
      get;
      set;
    }
    public string Password
    {
      get;
      set;
    }
    public DateTime? LastVisit
    {
      get;
      private set;
    }

    public User()
    {
      Name = "";
      Password = "";
      LastVisit = null;
    }
    public User(string line)
    {
      try
      {
        char[] splitCharacters = new char[1] { '\t' };
        string[] elements = line.Split(splitCharacters);
        Name = elements[0];
        Password = elements[1];
        LastVisit = DateTime.Parse(elements[2]);
      }
      catch (ArgumentNullException)
      {
        LastVisit = null;
      }
      catch (FormatException)
      {
        LastVisit = null;
      }
    }

    public void SetLastVisit()
    {
      LastVisit = DateTime.Now;
    }

    public override string ToString()
    {
      string result = Name + "\t" + Password + "\t";
      if (LastVisit != null)
      {
        result += LastVisit.ToString();
      }
      return result;
    }

    public static bool operator ==(User user1, User user2)
    {
      if (object.Equals(user1, null))
      {
        return (object.Equals(user2, null));
      }
      if (object.Equals(user2, null))
      {
        return (object.Equals(user1, null));
      }

      return (user1.Name == user2.Name
        && user1.Password == user2.Password);
    }
    public static bool operator !=(User user1, User user2)
    {
      return !(user1 == user2);
    }

    public override bool Equals(object obj)
    {
      return (this == (User) obj);
    }
    public override int GetHashCode()
    {
      return Name.GetHashCode();
    }

  }
}
